import { EventEmitter } from "@angular/core";
import { AddressDto, TodoDto, TodoEntryDto } from "@smallstack/axios-api-client";
import { NotificationService } from "@smallstack/i18n-components";
import { UserService } from "@smallstack/user-components";
import { MyWorklogStore } from "../../stores/my-worklog.store";
import * as i0 from "@angular/core";
export declare class TodoListEntryComponent {
    private notificationService;
    protected myWorklogStore: MyWorklogStore;
    private userService;
    todo: TodoDto;
    protected editable: boolean;
    protected readonly saveFn: EventEmitter<TodoDto>;
    protected showDueDate: boolean;
    protected showChecklistEntries: boolean;
    protected isRoot: boolean;
    protected currentlyEditing: boolean;
    constructor(notificationService: NotificationService, myWorklogStore: MyWorklogStore, userService: UserService);
    toggleTodo(): () => Promise<void>;
    saveSubEntry(index: number, todo: TodoEntryDto): void;
    openGoogleMaps(address: AddressDto): void;
    protected createOrStopWorklog(): () => Promise<void>;
    private setToDone;
    private setToUnDone;
    static ɵfac: i0.ɵɵFactoryDeclaration<TodoListEntryComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TodoListEntryComponent, "smallstack-todo-list-entry", never, { "todo": { "alias": "todo"; "required": false; }; "editable": { "alias": "editable"; "required": false; }; "showDueDate": { "alias": "showDueDate"; "required": false; }; "showChecklistEntries": { "alias": "showChecklistEntries"; "required": false; }; "isRoot": { "alias": "isRoot"; "required": false; }; }, { "saveFn": "saveFn"; }, never, never, true, never>;
}
