import { OnInit } from "@angular/core";
import { TodoDto } from "@smallstack/axios-api-client";
import { FrontendSchemaService, TranslationHelper } from "@smallstack/common-components";
import { FormComponent } from "@smallstack/form-core-components";
import { TodoConfigurationService } from "@smallstack/todo-shared";
import { SmallstackTypeSchema } from "@smallstack/typesystem";
import { BaseWidgetComponent, SocketAwareWidget } from "@smallstack/widget-core";
import { TodoTemplateStore } from "../../../stores/todo-template.store";
import { TodoStore } from "../../../stores/todo.store";
import * as i0 from "@angular/core";
export declare class CreateTodoWidgetComponent extends BaseWidgetComponent implements OnInit, SocketAwareWidget {
    private todoConfigurationService;
    private todoTemplateStore;
    private todoStore;
    private translationHelper;
    private schemaService;
    protected isLoading: boolean;
    protected schema: SmallstackTypeSchema;
    protected todo: TodoDto;
    protected formComponent: FormComponent;
    constructor(todoConfigurationService: TodoConfigurationService, todoTemplateStore: TodoTemplateStore, todoStore: TodoStore, translationHelper: TranslationHelper, schemaService: FrontendSchemaService);
    ngOnInit(): void;
    protected init(): Promise<void>;
    handleSocketData(socketName: string, data?: unknown): Promise<any>;
    protected saveTodo(): () => Promise<any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CreateTodoWidgetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CreateTodoWidgetComponent, "smallstack-create-todo-widget", never, {}, {}, never, never, true, never>;
}
