import { AxiosApiClient, WorklogDto } from "@smallstack/axios-api-client";
import { ApiQueryRequest, Page } from "@smallstack/api-shared";
import { PageableCrudStore } from "@smallstack/store";
import * as i0 from "@angular/core";
export declare class WorklogStore extends PageableCrudStore<WorklogDto> {
    private axiosApiClient;
    constructor(axiosApiClient: AxiosApiClient);
    protected loadModels(query: ApiQueryRequest): Promise<Page<WorklogDto>>;
    protected loadModelById(id: string): Promise<WorklogDto>;
    protected deleteModelById(id: string): Promise<any>;
    protected deleteModelsByIds(ids: string[]): Promise<void>;
    protected createModel(worklog: WorklogDto): Promise<WorklogDto>;
    protected patchModel(id: string, worklog: Partial<WorklogDto>): Promise<WorklogDto>;
    protected putModel(worklog: WorklogDto): Promise<WorklogDto>;
    static ɵfac: i0.ɵɵFactoryDeclaration<WorklogStore, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<WorklogStore>;
}
